🚀 New App Builder Engine is Beta! See our changelog for details.
cURL
curl --request PUT \ --url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role/%7BauthorityMatrixRoleId%7D \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --header 'content-type: application/json' \ --data '{"name":"string","description":"string","tables":[{"authorityMatrixRoleId":"string","tableId":"string","disabledActions":["string"],"enabledViewIds":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'
{ "id": "<string>", "name": "<string>", "baseId": "<string>", "createdTime": "<string>", "tables": [ { "authorityMatrixRoleId": "<string>", "tableId": "<string>", "createdTime": "<string>", "disabledActions": [ "<string>" ], "enabledViewIds": [ "<string>" ], "fieldRecordPermission": [ { "fieldId": "<string>", "disabledActions": [ "<string>" ] } ], "recordFilter": {}, "enabledTime": "<string>" } ], "description": "<string>", "enabledTime": "<string>", "nodes": [ { "authorityMatrixRoleId": "<string>", "nodeType": "workflow", "nodeId": "<string>", "id": "<string>", "enabledTime": "<string>", "createdTime": "<string>" } ] }
Update authority matrix role
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
Successful response
Was this page helpful?